Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 349053 - Stabilize Xfce 4.8.0
Summary: Stabilize Xfce 4.8.0
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: XFCE Team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 338988 339302 343569 343571 344653 344985 CVE-2010-4352 349023 349029 349052 349061 350032 350358 351380 351469
Blocks: 313389
  Show dependency tree
 
Reported: 2010-12-19 03:52 UTC by Samuli Suominen
Modified: 2011-02-14 19:51 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuli Suominen gentoo-dev 2010-12-19 03:52:40 UTC
This will be Xfce 4.8 pre3 or 4.8 final stabilization bug. Opening it now to track dependencies stable. No discussion here. Open new bugs blocking the stabilization, if required.
Comment 1 Samuli Suominen gentoo-dev 2011-01-16 19:15:01 UTC
This should be it.

=dev-util/xfce4-dev-tools-4.8.0 "alpha arm hppa ia64 ppc ppc64 sparc"
=x11-themes/gtk-engines-xfce-2.8.0 "alpha arm hppa ia64 ppc ppc64 sparc"
=xfce-base/libxfce4util-4.8.0 "alpha arm hppa ia64 ppc ppc64 sh sparc"
=xfce-base/libxfcegui4-4.8.0 "alpha arm hppa ia64 ppc ppc64 sh sparc"
=xfce-base/xfconf-4.8.0 "alpha arm hppa ia64 ppc ppc64 sh sparc"
=xfce-base/libxfce4ui-4.8.0 "alpha arm hppa ia64 ppc ppc64 sh sparc"
=xfce-base/exo-0.6.0 "alpha arm hppa ia64 ppc ppc64 sparc"
=xfce-base/garcon-0.1.5 "alpha arm hppa ia64 ppc ppc64 sh sparc"
=xfce-base/xfce4-panel-4.8.0 "alpha arm hppa ia64 ppc ppc64 sparc"
=xfce-base/xfce4-session-4.8.0 "alpha arm hppa ia64 ppc ppc64 sparc"
=xfce-base/xfce4-settings-4.8.0 "alpha arm hppa ia64 ppc ppc64 sparc"
=xfce-base/xfce-utils-4.8.0 "alpha arm hppa ia64 ppc ppc64 sparc"
=xfce-base/xfwm4-4.8.0 "alpha arm hppa ia64 ppc ppc64 sparc"
=xfce-base/thunar-1.2.0 "alpha arm ia64 ppc ppc64 sparc"
=xfce-base/xfdesktop-4.8.0 "alpha arm hppa ia64 ppc ppc64 sparc"
=xfce-base/xfce4-meta-4.8 "alpha arm hppa ia64 ppc ppc64 sparc"
=xfce-extra/thunar-volman-0.6.0 "alpha arm ia64 ppc ppc64 sparc"
=xfce-extra/xfce4-xkb-plugin-0.5.3.3-r9 "alpha arm hppa ia64 ppc ppc64 sparc"
=xfce-extra/xfce4-appfinder-4.8.0 "alpha arm hppa ia64 ppc ppc64 sparc"
=xfce-extra/xfce4-power-manager-1.0.3 "ppc"

You can get usable package.keywords list be copy'n'pasting it to file.txt and:

# cat file.txt | awk '{ print $1 }'
Comment 2 Samuli Suominen gentoo-dev 2011-01-16 19:25:55 UTC
Also get xfce-extra/tumbler for thunar-thumbnailers replacement. If you have it keyworded...
Comment 3 Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2011-01-17 15:15:35 UTC
ppc/ppc64 stable
Comment 4 Jeroen Roovers (RETIRED) gentoo-dev 2011-01-25 20:33:04 UTC
Stable for HPPA.
Comment 5 Samuli Suominen gentoo-dev 2011-01-26 17:23:26 UTC
upd:

=dev-util/xfce4-dev-tools-4.8.0     "alpha arm ia64 sparc"
=x11-themes/gtk-engines-xfce-2.8.0  "alpha arm ia64 sparc"
=xfce-base/libxfce4util-4.8.0       "alpha arm ia64 sh sparc"
=xfce-base/libxfcegui4-4.8.0        "alpha arm ia64 sh sparc"
=xfce-base/xfconf-4.8.0             "alpha arm ia64 sh sparc"
=xfce-base/libxfce4ui-4.8.0         "alpha arm ia64 sh sparc"
=xfce-base/exo-0.6.0                "alpha arm ia64 sparc"
=xfce-base/garcon-0.1.5             "alpha arm ia64 sh sparc"
=xfce-base/xfce4-panel-4.8.0        "alpha arm ia64 sparc"
=xfce-base/xfce4-session-4.8.0      "alpha arm ia64 sparc"
=xfce-base/xfce4-settings-4.8.0     "alpha arm ia64 sparc"
=xfce-base/xfce-utils-4.8.0         "alpha arm ia64 sparc"
=xfce-base/xfwm4-4.8.0              "alpha arm ia64 sparc"
=xfce-base/xfdesktop-4.8.0          "alpha arm ia64 sparc"
=xfce-base/xfce4-meta-4.8           "alpha arm ia64 sparc"

Either this, or use.mask USE="thunar" in your profiles:

=xfce-base/thunar-1.2.0             "alpha arm ia64 sparc"

Optionals:

xfce-extra/tumbler (for thumbnails), xfce-extra/thunar-volman (volume management, like automounting), xfce-extra/xfce4-appfinder (application finder)
Comment 6 Samuli Suominen gentoo-dev 2011-02-05 12:54:43 UTC
4.6 will be removed from tree 2011-03-01 due to it being broken with new libnotify, depends on HAL, and various other issues that won't get backported
Comment 7 Samuli Suominen gentoo-dev 2011-02-05 18:16:44 UTC
arg, missed one package:

xfce-extra/thunar-vfs "alpha arm hppa ia64 ppc64 sparc"

it's a deprecated package and only required for xfce4-places-plugin temporarily.

hppa/ppc64: you got added back for this
Comment 8 Markus Meier gentoo-dev 2011-02-05 18:57:54 UTC
arm stable
Comment 9 Samuli Suominen gentoo-dev 2011-02-14 19:51:07 UTC
all done